summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorHarald Hoyer <harald@redhat.com>2012-05-25 14:55:26 +0200
committerHarald Hoyer <harald@redhat.com>2012-05-29 09:23:37 +0200
commit6ea4364c7b40d21464b5fc64d6c5506658eb9401 (patch)
tree90c7436c76e00f7f8e2fbe403df0675952c97541 /test
parentf7c05f7de6069ba8a2d61e77421ddd6c558f388e (diff)
test/TEST-01-BASIC: fail test, if qemu failed
Diffstat (limited to 'test')
-rwxr-xr-xtest/TEST-01-BASIC/test.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/test/TEST-01-BASIC/test.sh b/test/TEST-01-BASIC/test.sh
index 19676454a..efdf449a8 100755
--- a/test/TEST-01-BASIC/test.sh
+++ b/test/TEST-01-BASIC/test.sh
@@ -15,7 +15,8 @@ run_qemu() {
-hda $TESTDIR/rootdisk.img \
-m 256M -nographic \
-net none -kernel /boot/vmlinuz-$KVERSION \
- -append "root=/dev/sda1 systemd.log_level=debug raid=noautodetect loglevel=2 init=/usr/lib/systemd/systemd rw console=ttyS0,115200n81 selinux=0 $DEBUGFAIL"
+ -append "root=/dev/sda1 systemd.log_level=debug raid=noautodetect loglevel=2 init=/usr/lib/systemd/systemd rw console=ttyS0,115200n81 selinux=0 $DEBUGFAIL" || return 1
+
ret=1
mkdir -p $TESTDIR/root
mount ${LOOPDEV}p1 $TESTDIR/root